=== debian/changelog ===
wlmaker (0.5-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * d/control: depends foot and swaylock.

 -- Alex Myczko <tar@debian.org>  Mon, 10 Mar 2025 08:48:33 +0000
