=== protocols/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,11 @@
 # limitations under the License.
 
 CMAKE_MINIMUM_REQUIRED(VERSION 3.13)
+
+PKG_CHECK_MODULES(WAYLAND_PROTOCOLS REQUIRED IMPORTED_TARGET wayland-protocols>=1.32)
+PKG_CHECK_MODULES(WAYLAND_SERVER REQUIRED IMPORTED_TARGET wayland-server>=1.22.0)
+
+PKG_GET_VARIABLE(WAYLAND_PROTOCOL_DIR wayland-protocols pkgdatadir)
 
 INCLUDE(WaylandProtocol)
 
@@ -38,5 +43,7 @@
 
 TARGET_COMPILE_OPTIONS(
   wlmaker_protocols PRIVATE
-  ${WAYLAND_CFLAGS}
-  ${WAYLAND_CFLAGS_OTHER})
+  ${WAYLAND_SERVER_CFLAGS}
+  ${WAYLAND_SERVER_CFLAGS_OTHER}
+  ${WAYLAND_PROTOCOLS_CFLAGS}
+  ${WAYLAND_PROTOCOLS_CFLAGS_OTHER})
