=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,27 @@
 
 CMAKE_MINIMUM_REQUIRED(VERSION 3.13)
 
+# Further dependency versions, as submodules:
+# * drm at libdrm-2.4.117
+# * hwdata at v0.371
+# * libdisplay-info at 0.2.0
+# * pixman at pixman-0.43.0
+
+PKG_CHECK_MODULES(WAYLAND_SERVER REQUIRED IMPORTED_TARGET wayland-server>=1.22.0)
+# We build for wlroots 0.18.
+PKG_CHECK_MODULES(WLROOTS IMPORTED_TARGET wlroots-0.18>=0.18)
+PKG_CHECK_MODULES(XCB REQUIRED IMPORTED_TARGET xcb>=1.15)
+# XWayland considered optional.
+PKG_CHECK_MODULES(XWAYLAND xwayland>=22.1.9)
+
+ADD_SUBDIRECTORY(backend)
+ADD_SUBDIRECTORY(toolkit)
+
 SET(PUBLIC_HEADER_FILES
   action.h
   action_item.h
   background.h
+  backtrace.h
   clip.h
   config.h
   corner.h
@@ -30,7 +47,6 @@
   layer_shell.h
   launcher.h
   lock_mgr.h
-  output.h
   root_menu.h
   server.h
   subprocess_monitor.h
@@ -50,6 +66,7 @@
   action.c
   action_item.c
   background.c
+  backtrace.c
   clip.c
   config.c
   corner.c
@@ -62,7 +79,6 @@
   layer_panel.c
   layer_shell.c
   lock_mgr.c
-  output.c
   root_menu.c
   server.c
   subprocess_monitor.c
@@ -82,30 +98,38 @@
   wlmaker_lib PROPERTIES
   VERSION 1.0
   PUBLIC_HEADER "${PUBLIC_HEADER_FILES}")
+IF(iwyu_path_and_options)
+  SET_TARGET_PROPERTIES(
+    wlmaker_lib PROPERTIES
+    C_INCLUDE_WHAT_YOU_USE "${iwyu_path_and_options}")
+ENDIF(iwyu_path_and_options)
 
 ADD_DEPENDENCIES(
   wlmaker_lib
-  protocol_headers
-  conf
-  toolkit
+  backend
   embedded_configuration
   embedded_root_menu
   embedded_state
   embedded_style
+  libbase
+  libbase_plist
+  protocol_headers
+  toolkit
   wlmaker_lib)
 
 TARGET_LINK_LIBRARIES(
   wlmaker_lib
-  base
-  conf
-  toolkit
+  backend
   embedded_configuration
   embedded_root_menu
   embedded_state
   embedded_style
+  libbase
+  libbase_plist
+  toolkit
   wlmaker_protocols
   PkgConfig::CAIRO
-  PkgConfig::WAYLAND
+  PkgConfig::WAYLAND_SERVER
   PkgConfig::WLROOTS
   PkgConfig::XCB
   PkgConfig::XKBCOMMON)
@@ -113,10 +137,11 @@
   wlmaker_lib PUBLIC
   # Keep wlroots first -- multiple versions may interfere (#117).
   ${WLROOTS_INCLUDE_DIRS}
+  ${PROJECT_SOURCE_DIR}/include
   ${PROJECT_BINARY_DIR}/third_party/protocols
   ${PROJECT_BINARY_DIR}/protocols
   ${CAIRO_INCLUDE_DIRS}
-  ${WAYLAND_INCLUDE_DIRS}
+  ${WAYLAND_SERVER_INCLUDE_DIRS}
   ${XCB_INCLUDE_DIRS}
   ${XKBCOMMON_INCLUDE_DIRS}
 )
@@ -125,25 +150,31 @@
   WLMAKER_ICON_DATA_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/wlmaker")
 TARGET_COMPILE_DEFINITIONS(
   wlmaker_lib PRIVATE WLMAKER_SOURCE_DIR="${PROJECT_SOURCE_DIR}")
+TARGET_COMPILE_DEFINITIONS(
+  wlmaker_lib PRIVATE WLMAKER_BINARY_DIR="${PROJECT_BINARY_DIR}")
+IF(wmmenugen_executable)
+  TARGET_COMPILE_DEFINITIONS(
+    wlmaker_lib PRIVATE WLMAKER_WMMENUGEN_PATH="${wmmenugen_executable}")
+ENDIF(wmmenugen_executable)
 IF(XWAYLAND_FOUND)
   TARGET_COMPILE_DEFINITIONS(wlmaker_lib PUBLIC WLMAKER_HAVE_XWAYLAND)
 ENDIF(XWAYLAND_FOUND)
 
 ADD_EXECUTABLE(wlmaker wlmaker.c)
 ADD_DEPENDENCIES(wlmaker wlmaker_lib)
-IF(XWAYLAND_FOUND)
-ENDIF(XWAYLAND_FOUND)
 TARGET_COMPILE_OPTIONS(
   wlmaker PRIVATE
-  ${WAYLAND_CFLAGS}
-  ${WAYLAND_CFLAGS_OTHER})
-TARGET_LINK_LIBRARIES(wlmaker PRIVATE base conf wlmaker_lib)
-
-ADD_EXECUTABLE(wlmaker_test wlmaker_test.c)
-ADD_DEPENDENCIES(wlmaker_test wlmaker_lib)
-TARGET_LINK_LIBRARIES(wlmaker_test PRIVATE wlmaker_lib)
-TARGET_COMPILE_DEFINITIONS(
-  wlmaker_test PUBLIC TEST_DATA_DIR="${PROJECT_SOURCE_DIR}/testdata")
-ADD_TEST(NAME wlmaker_test COMMAND wlmaker_test)
+  ${WAYLAND_SERVER_CFLAGS}
+  ${WAYLAND_SERVER_CFLAGS_OTHER})
+TARGET_LINK_LIBRARIES(wlmaker PRIVATE libbase libbase_plist wlmaker_lib)
+IF(LIBBACKTRACE)
+  TARGET_COMPILE_DEFINITIONS(wlmaker_lib PRIVATE WLMAKER_HAVE_LIBBACKTRACE)
+  TARGET_LINK_LIBRARIES(wlmaker PRIVATE ${LIBBACKTRACE})
+ENDIF()
+IF(iwyu_path_and_options)
+  SET_TARGET_PROPERTIES(
+    wlmaker PROPERTIES
+    C_INCLUDE_WHAT_YOU_USE "${iwyu_path_and_options}")
+ENDIF(iwyu_path_and_options)
 
 INSTALL(TARGETS wlmaker DESTINATION bin)
