=== apps/libwlclient/CMakeLists.txt ===
--- 
+++ 
@@ -15,10 +15,15 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 3.13)
 INCLUDE(WaylandProtocol)
 
+PKG_CHECK_MODULES(WAYLAND_CLIENT REQUIRED IMPORTED_TARGET wayland-client>=1.22.0)
+PKG_CHECK_MODULES(WAYLAND_PROTOCOLS REQUIRED IMPORTED_TARGET wayland-protocols>=1.32)
+
+PKG_GET_VARIABLE(WAYLAND_PROTOCOL_DIR wayland-protocols pkgdatadir)
+
 ADD_LIBRARY(libwlclient STATIC)
 
 SET(PUBLIC_HEADER_FILES
-  buffer.h
+  dblbuf.h
   icon.h
   libwlclient.h
   xdg_toplevel.h
@@ -29,11 +34,16 @@
   PUBLIC_HEADER "${PUBLIC_HEADER_FILES}")
 
 SET(SOURCES
-  buffer.c
   client.c
+  dblbuf.c
   icon.c
   xdg_toplevel.c
 )
+WaylandProtocol_ADD(
+  SOURCES
+  BASE_NAME xdg-decoration
+  PROTOCOL_FILE "${WAYLAND_PROTOCOL_DIR}/unstable/xdg-decoration/xdg-decoration-unstable-v1.xml"
+  SIDE client)
 WaylandProtocol_ADD(
   SOURCES
   BASE_NAME xdg-shell
@@ -49,15 +59,23 @@
 
 TARGET_INCLUDE_DIRECTORIES(
   libwlclient PRIVATE
-  ${WAYLAND_INCLUDE_DIRS}
+  ${WAYLAND_CLIENT_INCLUDE_DIRS}
+  ${XKBCOMMON_INCLUDE_DIRS}
   ${CMAKE_CURRENT_BINARY_DIR})
 TARGET_LINK_LIBRARIES(
   libwlclient
-  base
-  PkgConfig::WAYLAND)
+  libbase
+  PkgConfig::WAYLAND_CLIENT
+  PkgConfig::XKBCOMMON)
 INCLUDE(CheckSymbolExists)
 CHECK_SYMBOL_EXISTS(signalfd "sys/signalfd.h" HAVE_SIGNALFD)
 IF(NOT HAVE_SIGNALFD)
   PKG_CHECK_MODULES(EPOLL REQUIRED IMPORTED_TARGET epoll-shim)
   TARGET_LINK_LIBRARIES(libwlclient PkgConfig::EPOLL)
 ENDIF()
+
+IF(iwyu_path_and_options)
+  SET_TARGET_PROPERTIES(
+    libwlclient PROPERTIES
+    C_INCLUDE_WHAT_YOU_USE "${iwyu_path_and_options}")
+ENDIF(iwyu_path_and_options)
