=== debian/changelog ===
wlmaker (0.6-2) unstable; urgency=medium

  * d/control: bump wlroots version. (Closes: #1111150)
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Fri, 05 Sep 2025 15:51:16 -0500

wlmaker (0.6-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 05 Sep 2025 10:27:05 -0500
