=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
  libwayland-dev,
  libcairo2-dev,
  wayland-protocols,
- libwlroots-0.18-dev,
+ libwlroots-0.19-dev,
  libncurses-dev,
 # plantuml,
  libwayland-bin,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/phkaeser/wlmaker
 Vcs-Browser: https://salsa.debian.org/gnustep-team/wlmaker
 Vcs-Git: https://salsa.debian.org/gnustep-team/wlmaker.git
