## wlmaker 0.6.1

=== debian/changelog ===
wlmaker (0.6.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Sep 2025 18:42:00 +0200

wlmaker (0.6-3) unstable; urgency=medium

  * d/control:
    - re-add supported wlroots version.
    - add Depends on wmaker for wmmenugen.
    - add Depends on wdisplays.

 -- Alex Myczko <tar@debian.org>  Wed, 10 Sep 2025 11:47:01 -0500
