=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  libwayland-dev,
  libcairo2-dev,
  wayland-protocols,
+ libwlroots-0.18-dev,
  libwlroots-0.19-dev,
  libncurses-dev,
 # plantuml,
@@ -29,6 +30,8 @@
  ${misc:Depends},
  foot,
  swaylock,
+ wmaker,
+ wdisplays,
 Description: Wayland compositor inspired by Window Maker
  This is a Wayland compositor inspired by Window Maker.
   - Compositor for windows in stacking mode.
